> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/reference/notes/notes.md).

# Notes

## List All Notes for a Campaign

> Returns a list of notes for a specific campaign, sorted chronologically by creation date. The list can be filtered by partner (MediaId) and a date range.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Notes","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes":{"get":{"summary":"List All Notes for a Campaign","description":"Returns a list of notes for a specific campaign, sorted chronologically by creation date. The list can be filtered by partner (MediaId) and a date range.","operationId":"listNotes","tags":["Notes"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign to retrieve notes from.","schema":{"type":"integer"}},{"name":"MediaId","in":"query","description":"Filter notes for a specific partner account ID.","schema":{"type":"integer"}},{"name":"StartDate","in":"query","description":"Filter for notes created on or after this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","description":"Filter for notes created on or before this date (ISO 8601).","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"A paginated list of note objects.","content":{"application/json":{"schema":{"type":"object","properties":{"Notes":{"type":"array","description":"The list of note objects.","items":{"$ref":"#/components/schemas/Note"}}}}}}}}}}},"components":{"schemas":{"Note":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the note."},"MediaId":{"type":"integer","description":"The unique identifier of the partner this note is about."},"MediaName":{"type":"string","description":"The display name of the partner this note is about."},"Creator":{"type":"string","description":"The name of the user who created the note."},"CreationDate":{"type":"string","format":"date-time","description":"The date and time the note was created."},"ModificationDate":{"type":"string","format":"date-time","description":"The date and time the note was last modified."},"Content":{"type":"string","description":"The plaintext content of the note."},"Type":{"type":"string","description":"The interaction type for this note.","enum":["EMAIL","IM","NONE","PHONE"]},"Attachments":{"type":"array","description":"URIs of file attachments associated with the note.","items":{"type":"string","format":"uri-reference"}},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this note in the impact.com API."}}}}}}
```

## Create a Note

> Creates a new note for a specific partner. A note must contain either text content or an attachment.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Notes","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes":{"post":{"summary":"Create a Note","description":"Creates a new note for a specific partner. A note must contain either text content or an attachment.","operationId":"createNote","tags":["Notes"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign this note belongs to.","schema":{"type":"integer"}}],"requestBody":{"description":"The note content and/or attachment.","required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/NoteCreate"}}}},"responses":{"200":{"description":"The note was created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessUriResponse"}}}}}}}},"components":{"schemas":{"NoteCreate":{"type":"object","required":["MediaId"],"properties":{"MediaId":{"type":"integer","description":"The partner account ID this note is for."},"Content":{"type":"string","description":"The plaintext content of the note. Optional if an Attachment is provided."},"Attachment":{"type":"string","format":"binary","description":"An image file to upload as an attachment. Optional if Content is provided."},"Type":{"type":"string","description":"The interaction type for this note.","enum":["EMAIL","IM","NONE","PHONE"],"default":"NONE"}}},"SuccessUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected note."}}}}}}
```

## Get Note Details

> Retrieves the details of an existing note by its unique ID.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Notes","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes/{NoteId}":{"get":{"summary":"Get Note Details","description":"Retrieves the details of an existing note by its unique ID.","operationId":"getNoteById","tags":["Notes"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"NoteId","in":"path","required":true,"description":"The unique identifier for the note.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single note object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Note"}}}}}}}},"components":{"schemas":{"Note":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the note."},"MediaId":{"type":"integer","description":"The unique identifier of the partner this note is about."},"MediaName":{"type":"string","description":"The display name of the partner this note is about."},"Creator":{"type":"string","description":"The name of the user who created the note."},"CreationDate":{"type":"string","format":"date-time","description":"The date and time the note was created."},"ModificationDate":{"type":"string","format":"date-time","description":"The date and time the note was last modified."},"Content":{"type":"string","description":"The plaintext content of the note."},"Type":{"type":"string","description":"The interaction type for this note.","enum":["EMAIL","IM","NONE","PHONE"]},"Attachments":{"type":"array","description":"URIs of file attachments associated with the note.","items":{"type":"string","format":"uri-reference"}},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this note in the impact.com API."}}}}}}
```

## Update a Note

> Updates the specified note by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Notes","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes/{NoteId}":{"put":{"summary":"Update a Note","description":"Updates the specified note by setting the values of the parameters passed. Any parameters not provided will be left unchanged.","operationId":"updateNote","tags":["Notes"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"NoteId","in":"path","required":true,"description":"The unique identifier for the note to update.","schema":{"type":"integer"}}],"requestBody":{"description":"The note properties to update.","required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/NoteUpdate"}}}},"responses":{"200":{"description":"The note was updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessUriResponse"}}}}}}}},"components":{"schemas":{"NoteUpdate":{"type":"object","properties":{"Content":{"type":"string","description":"The new plaintext content for the note."},"Type":{"type":"string","description":"The interaction type for this note.","enum":["EMAIL","IM","NONE","PHONE"]},"AttachmentsAdd":{"type":"string","format":"binary","description":"An image file to add as a new attachment."},"AttachmentsRemove":{"type":"string","description":"The filename (e.g., 'crm_7654321_...') of the attachment to remove."}}},"SuccessUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected note."}}}}}}
```

## Delete a Note

> Permanently deletes a note. This cannot be undone.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Notes","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Notes/{NoteId}":{"delete":{"summary":"Delete a Note","description":"Permanently deletes a note. This cannot be undone.","operationId":"deleteNote","tags":["Notes"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"schema":{"type":"integer"}},{"name":"NoteId","in":"path","required":true,"description":"The unique identifier for the note to delete.","schema":{"type":"integer"}}],"responses":{"200":{"description":"The note was deleted successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates that the note was deleted."}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/reference/notes/notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
